| optoMDC

Loading...
Searching...
No Matches
optoMDC.registers.mre3_registers.Logger Class Reference
Inheritance diagram for optoMDC.registers.mre3_registers.Logger:

## Public Member Functions
| __init__ (self, board=None)
| GetLoggedRegister (self, log_number)
| SetLoggedRegister (self, log_number, value)
| RunLogger (self)
| StopLogger (self)
| GetLog (self, log_number, index, count)
| to_int (self, float_v)
| GetSamplingFrequency (self)
| SetSamplingFrequency (self, value)
| SetTriggerReg (self, value)
| GetTriggerReg (self)
| SetTriggerMode (self, value)
| GetTriggerMode (self)
| SetTriggerValue (self, value)
| GetTriggerValue (self)
| SetTriggerFormat (self, value)
| GetTriggerFormat (self)

## Public Attributes
int | sys_id = 0x24
dict | logged_register_0
dict | logged_register_1
dict | logged_register_2
dict | logged_register_3
dict | logged_register_4
dict | logged_register_5
dict | run = {'id': self.sys_id << 8 | 0x10, 'type': int, 'unit': bool, 'range': [0, 1], 'default': False}
dict | sampling_frequency
dict | register_log_0 = {'id': self.sys_id << 8 | 0x00, 'type': float, 'unit': None, 'range': None, 'default': 0}
dict | register_log_1 = {'id': self.sys_id << 8 | 0x01, 'type': float, 'unit': None, 'range': None, 'default': 0}
dict | register_log_2 = {'id': self.sys_id << 8 | 0x02, 'type': float, 'unit': None, 'range': None, 'default': 0}
dict | register_log_3 = {'id': self.sys_id << 8 | 0x03, 'type': float, 'unit': None, 'range': None, 'default': 0}
dict | register_log_4 = {'id': self.sys_id << 8 | 0x04, 'type': float, 'unit': None, 'range': None, 'default': 0}
dict | register_log_5 = {'id': self.sys_id << 8 | 0x05, 'type': float, 'unit': None, 'range': None, 'default': 0}
dict | log_trigger_reg = {'id': self.sys_id << 8 | 0x14, 'type': int, 'unit': None, 'range': None, 'default': 0}
dict | log_trigger_mode = {'id': self.sys_id << 8 | 0x15, 'type': int, 'unit': None, 'range': None, 'default': 0}
dict | log_trigger_value
dict | log_trigger_format
| name = self.__class__.__name__

## Protected Member Functions
| _GetLogSegment (self, log_number, index, count)

## Protected Attributes
bool | _readonly = False

## Detailed Description

    Device Functionality - Logger
    System ID: 0x24

    A system for logging the values of various readable registers.

    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | logged_register_0         | 0x00 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_1         | 0x01 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_2         | 0x02 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_3         | 0x03 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_4         | 0x04 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_5         | 0x05 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | run                       | 0x10 | uint 32-bit |Bool  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | sampling_frequency        | 0x11 | float       |Hz    |       | 40000   |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | minimum sampling_frequency| 0x12 | float       |Hz    |      | 40000/(2^32 -1)         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | maximum sampling_frequency| 0x13 | float       |Hz     |       | 40000   |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Logger trigger register   | 0x14 | uint 32-bit |None    |      | 0       |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Logger trigger mode       | 0x15 | uint 32-bit |None |       | 0       |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Logger trigger value      | 0x16 | float       |None |      | 0       |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Logger trigger format     | 0x17 | uint 32-bit |None |       | 0       |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre3_registers.Logger.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ _GetLogSegment()

optoMDC.registers.mre3_registers.Logger._GetLogSegment | ( |  | self,
|  |  | log_number,
|  |  | index,
|  |  | count )
| protected

## ◆ GetLog()

optoMDC.registers.mre3_registers.Logger.GetLog | ( |  | self,
|  |  | log_number,
|  |  | index,
|  |  | count )

## ◆ GetLoggedRegister()

optoMDC.registers.mre3_registers.Logger.GetLoggedRegister | ( |  | self,
|  |  | log_number )

## ◆ GetSamplingFrequency()

optoMDC.registers.mre3_registers.Logger.GetSamplingFrequency | ( |  | self | ) |

## ◆ GetTriggerFormat()

optoMDC.registers.mre3_registers.Logger.GetTriggerFormat | ( |  | self | ) |

## ◆ GetTriggerMode()

optoMDC.registers.mre3_registers.Logger.GetTriggerMode | ( |  | self | ) |

## ◆ GetTriggerReg()

optoMDC.registers.mre3_registers.Logger.GetTriggerReg | ( |  | self | ) |

## ◆ GetTriggerValue()

optoMDC.registers.mre3_registers.Logger.GetTriggerValue | ( |  | self | ) |

## ◆ RunLogger()

optoMDC.registers.mre3_registers.Logger.RunLogger | ( |  | self | ) |

## ◆ SetLoggedRegister()

optoMDC.registers.mre3_registers.Logger.SetLoggedRegister | ( |  | self,
|  |  | log_number,
|  |  | value )

## ◆ SetSamplingFrequency()

optoMDC.registers.mre3_registers.Logger.SetSamplingFrequency | ( |  | self,
|  |  | value )

## ◆ SetTriggerFormat()

optoMDC.registers.mre3_registers.Logger.SetTriggerFormat | ( |  | self,
|  |  | value )

## ◆ SetTriggerMode()

optoMDC.registers.mre3_registers.Logger.SetTriggerMode | ( |  | self,
|  |  | value )

## ◆ SetTriggerReg()

optoMDC.registers.mre3_registers.Logger.SetTriggerReg | ( |  | self,
|  |  | value )

## ◆ SetTriggerValue()

optoMDC.registers.mre3_registers.Logger.SetTriggerValue | ( |  | self,
|  |  | value )

## ◆ StopLogger()

optoMDC.registers.mre3_registers.Logger.StopLogger | ( |  | self | ) |

## ◆ to_int()

optoMDC.registers.mre3_registers.Logger.to_int | ( |  | self,
|  |  | float_v )

## Member Data Documentation

## ◆ _readonly

bool optoMDC.registers.mre3_registers.Logger._readonly = False
| protected

## ◆ log_trigger_format

dict optoMDC.registers.mre3_registers.Logger.log_trigger_format

Initial value:
= {'id': self.sys_id << 8 | 0x17, 'type': int, 'unit': None, 'range': None,
'default': 0}

## ◆ log_trigger_mode

dict optoMDC.registers.mre3_registers.Logger.log_trigger_mode = {'id': self.sys_id << 8 | 0x15, 'type': int, 'unit': None, 'range': None, 'default': 0}

## ◆ log_trigger_reg

dict optoMDC.registers.mre3_registers.Logger.log_trigger_reg = {'id': self.sys_id << 8 | 0x14, 'type': int, 'unit': None, 'range': None, 'default': 0}

## ◆ log_trigger_value

dict optoMDC.registers.mre3_registers.Logger.log_trigger_value

Initial value:
= {'id': self.sys_id << 8 | 0x16, 'type': float, 'unit': None, 'range': None,
'default': 0}

## ◆ logged_register_0

dict optoMDC.registers.mre3_registers.Logger.logged_register_0

Initial value:
= {'id': self.sys_id << 8 | 0x00, 'type': int, 'unit': None, 'range': None,
'default': 0xe802}

## ◆ logged_register_1

dict optoMDC.registers.mre3_registers.Logger.logged_register_1

Initial value:
= {'id': self.sys_id << 8 | 0x01, 'type': int, 'unit': None, 'range': None,
'default': 0xe902}

## ◆ logged_register_2

dict optoMDC.registers.mre3_registers.Logger.logged_register_2

Initial value:
= {'id': self.sys_id << 8 | 0x02, 'type': int, 'unit': None, 'range': None,
'default': 0x2300}

## ◆ logged_register_3

dict optoMDC.registers.mre3_registers.Logger.logged_register_3

Initial value:
= {'id': self.sys_id << 8 | 0x03, 'type': int, 'unit': None, 'range': None,
'default': 0x2301}

## ◆ logged_register_4

dict optoMDC.registers.mre3_registers.Logger.logged_register_4

Initial value:
= {'id': self.sys_id << 8 | 0x04, 'type': int, 'unit': None, 'range': None,
'default': 0x2302}

## ◆ logged_register_5

dict optoMDC.registers.mre3_registers.Logger.logged_register_5

Initial value:
= {'id': self.sys_id << 8 | 0x05, 'type': int, 'unit': None, 'range': None,
'default': 0x2303}

## ◆ name

optoMDC.registers.mre3_registers.Logger.name = self.__class__.__name__

## ◆ register_log_0

dict optoMDC.registers.mre3_registers.Logger.register_log_0 = {'id': self.sys_id << 8 | 0x00, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ register_log_1

dict optoMDC.registers.mre3_registers.Logger.register_log_1 = {'id': self.sys_id << 8 | 0x01, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ register_log_2

dict optoMDC.registers.mre3_registers.Logger.register_log_2 = {'id': self.sys_id << 8 | 0x02, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ register_log_3

dict optoMDC.registers.mre3_registers.Logger.register_log_3 = {'id': self.sys_id << 8 | 0x03, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ register_log_4

dict optoMDC.registers.mre3_registers.Logger.register_log_4 = {'id': self.sys_id << 8 | 0x04, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ register_log_5

dict optoMDC.registers.mre3_registers.Logger.register_log_5 = {'id': self.sys_id << 8 | 0x05, 'type': float, 'unit': None, 'range': None, 'default': 0}

## ◆ run

dict optoMDC.registers.mre3_registers.Logger.run = {'id': self.sys_id << 8 | 0x10, 'type': int, 'unit': bool, 'range': [0, 1], 'default': False}

## ◆ sampling_frequency

dict optoMDC.registers.mre3_registers.Logger.sampling_frequency

Initial value:
= {'id': self.sys_id << 8 | 0x11, 'type': float, 'unit': 'Hz', 'range': None,
'default': 40000}

## ◆ sys_id

int optoMDC.registers.mre3_registers.Logger.sys_id = 0x24

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre3_registers.py